store-checkout-draft-items-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-13
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-checkout-draft-items-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-13curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-13
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-checkout-draft-items-get-one
Table:
- table: jef-store-checkout-draft-items
- operation: get-one
Payload Schema:
- pk: checkout_draft_item_id
Payload Example:
- pk: checkout-draft-item-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"checkout_draft_item_id":"string","checkout_draft_id":"string","entity_number":"string","line_number":"number","product_number":"string","sku":"string","product_name":"string","quantity":"number","unit_price":"number","line_total":"number","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "checkout_draft_item_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"checkout_draft_item_id\":\"string\",\"checkout_draft_id\":\"string\",\"entity_number\":\"string\",\"line_number\":\"number\",\"product_number\":\"string\",\"sku\":\"string\",\"product_name\":\"string\",\"quantity\":\"number\",\"unit_price\":\"number\",\"line_total\":\"number\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-get-one?pk=checkout-draft-item-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-get-one?pk=checkout-draft-item-1001-0001"